### Method

# EBookContacts BookIndicesUpdater remove

since: 3.50

#### Declaration [src]

    gboolean
    e_book_indices_updater_remove (
      EBookIndicesUpdater* self,
      const gchar* uid
    )

#### Description [src]

Notifies the `self` that an existing contact with UID `uid` had been removed from the set. Calling the function with `uid` unknown to the `self` does nothing and returns `FALSE`.

This function can be used only after initial call to e_book_indices_updater_take_indices().

Available since: 3.50

#### Parameters

`uid`

  Type: `const gchar*`

  A UID of a removed contact.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether the indices changed.